#    Support: zhou.xiii@qq.com

#

#    Copyright (C) 2019 周曦

#    This program is free software: you can redistribute it and/or modify

#    it under the terms of the GNU General Public License as published by

#    the Free Software Foundation, either version 3 of the License, or

#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,

#    but WITHOUT ANY WARRANTY; without even the implied warranty of

#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the

#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License

#    along with this program.  If not, see <http://www.gnu.org/licenses/>.



require 'sketchup'

require 'extensions'



module Zhouxi

  module Magiz

    ext = SketchupExtension.new('Magiz' , 'Zhouxi_Magiz/Zhouxi_Magiz_Core' )

    ext.description='Transform all the groups and components selected into building shapes'

    ext.version = '0.4.1'

    ext.creator = '周曦'

    ext.copyright = 'Copyright (c) 2019 周曦'

    Sketchup.register_extension ext,true

  end

end

